com.opensymphony.xwork2.ognl.accessor

## Class ObjectProxyPropertyAccessor

- java.lang.Object
- - com.opensymphony.xwork2.ognl.accessor.ObjectProxyPropertyAccessor

- All Implemented Interfaces:
    ognl.PropertyAccessor

      public class ObjectProxyPropertyAccessor
      extends Object
      implements ognl.PropertyAccessor

  Is able to access (set/get) properties on a given object.

  Uses Ognl internal.

  Author:
    Gabe

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ObjectProxyPropertyAccessor()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getProperty(Map context, Object target, Object name)`
    `String` | `getSourceAccessor(ognl.OgnlContext context, Object target, Object index)` Used by OGNl to generate bytecode
    `String` | `getSourceSetter(ognl.OgnlContext context, Object target, Object index)` Used by OGNl to generate bytecode
    `void` | `setProperty(Map context, Object target, Object name, Object value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ObjectProxyPropertyAccessor

          public ObjectProxyPropertyAccessor()

  - ### Method Detail

    - #### getSourceAccessor

          public String getSourceAccessor(ognl.OgnlContext context,
                                 Object target,
                                 Object index)

      Used by OGNl to generate bytecode
      Specified by:
        `getSourceAccessor` in interface `ognl.PropertyAccessor`

    - #### getSourceSetter

          public String getSourceSetter(ognl.OgnlContext context,
                               Object target,
                               Object index)

      Used by OGNl to generate bytecode
      Specified by:
        `getSourceSetter` in interface `ognl.PropertyAccessor`

    - #### getProperty

          public Object getProperty(Map context,
                           Object target,
                           Object name)
                             throws ognl.OgnlException

      Specified by:
        `getProperty` in interface `ognl.PropertyAccessor`
      Throws:
        `ognl.OgnlException`

    - #### setProperty

          public void setProperty(Map context,
                         Object target,
                         Object name,
                         Object value)
                           throws ognl.OgnlException

      Specified by:
        `setProperty` in interface `ognl.PropertyAccessor`
      Throws:
        `ognl.OgnlException`

Copyright © 2000–2018 Apache Software Foundation. All rights reserved.